## org.mortbay.cometd
Class ChannelId

    java.lang.Object
      org.mortbay.cometd.ChannelId

    public class ChannelId

extends Object

Field Summary
`static String` `WILD`
`static String` `WILDWILD`

Constructor Summary
`ChannelId(String name)`

Method Summary
`int` `depth()`
`boolean` `equals(Object obj)`
`String` `getSegment(int i)`
`int` `hashCode()`
`boolean` `isParentOf(ChannelId id)`
`boolean` `isWild()`
`boolean` `matches(ChannelId name)`
`boolean` `matches(String name)`
`String` `toString()`

Methods inherited from class java.lang.Object
`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

Field Detail

### WILD

    public static final String WILD

See Also:
  Constant Field Values

### WILDWILD

    public static final String WILDWILD

See Also:
  Constant Field Values

Constructor Detail

### ChannelId

    public ChannelId(String name)

Method Detail

### isWild

    public boolean isWild()

### equals

    public boolean equals(Object obj)

  Overrides:
    `equals` in class `Object`

### matches

    public boolean matches(ChannelId name)

### matches

    public boolean matches(String name)

### hashCode

    public int hashCode()

  Overrides:
    `hashCode` in class `Object`

### toString

    public String toString()

  Overrides:
    `toString` in class `Object`

### depth

    public int depth()

### isParentOf

    public boolean isParentOf(ChannelId id)

### getSegment

    public String getSegment(int i)

Copyright © 2008 Mort Bay Consulting. All Rights Reserved.